

<mat-toolbar class="header-toolbar" color="primary" id="cheader" style="position: sticky;top: 0;right: 0;left: 0;z-index: 10;" >
    
  <div class="left-container">
    <div *ngIf="true">
          <mat-icon id="menu_show" (click)="onToggleOpenSidenav()" style="cursor: pointer; color: #000;" >menu</mat-icon>
      </div>
      <!-- <div id="show_reg"  >    
          <span routerLink="/register" ><button (click)="changeStyleReg()"  mat-button ><mat-icon>create</mat-icon> Register </button></span>
      </div>
      <div id="show_login">    
          <span routerLink="/login" ><button (click)="changeStyleLog()" mat-button ><mat-icon>arrow_right_alt</mat-icon> Login </button></span>
      </div> -->
  </div>
  <div class="right-container" *ngIf="loggedIn() == 'true'">


    <div class="dropdown" style="float: right;">
      <i  (click)="logout()" class="fa fa-power-off fa-1x dropbtn dropbtn2" aria-hidden="true"></i>

    </div>


    <!-- <div class="dropdown" style="float: right;">
      <i (click)="toggleMenu('myDropdown2')" class="fa fa-ellipsis-v fa-1x dropbtn dropbtn2" aria-hidden="true"></i>

      <div id="myDropdown2" class="dropdown-content dropdown-content2">
        <a (click)="logout()">Logout</a>
      </div>
    </div> -->

    <div class="dropdown" style="float: right; margin-top: 7px;">
      
      <div (click)="toggleMenu('myDropdown1')" class="dropDownContainer" >
        <i class="fa fa-user fa-1x dropbtn dropbtn1" aria-hidden="true" ></i>
        <span (click)="$event.stopPropagation();toggleMenu('myDropdown1')" >
          {{username}}
        </span>
        <!-- <i class="fa fa-angle-down fa-1x dropbtn dropbtn1" aria-hidden="true"></i> -->
      </div>

      <!-- <div id="myDropdown1" class="dropdown-content dropdown-content1">
        <a href="#">Link 1</a>
        <a href="#">Link 2</a>
        <a href="#">Link 3</a>
      </div> -->
    </div>
    
  </div>
    
</mat-toolbar>

<!-- ng add @ng-bootstrap/ng-bootstrap@6 -->
<!-- <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div *ngIf="true">
        <mat-icon id="menu_show" (click)="onToggleOpenSidenav()" style="cursor: pointer; color: #000;" >menu</mat-icon>
    </div>
    
  
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        
        <form class="form-inline my-2 my-lg-0 mr-auto ">
            <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
        </form>

      <ul class="navbar-nav float-right">
        <li class="nav-item active">
          <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Link</a>
        </li>

        <li ngbDropdown class="nav-item dropdown"  
        placement="bottom-right"
        display="dynamic">
          <a ngbDropdownToggle class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dropdown
          </a>
          <div ngbDropdownMenu  class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a ngbDropdownItem class="dropdown-item" href="#">Action</a>
            <a ngbDropdownItem class="dropdown-item" href="#">Another action</a>
            <div class="dropdown-divider"></div>
            <a ngbDropdownItem class="dropdown-item" href="#">Something else here</a>
          </div>
        </li>
        
      </ul>
      
    </div>
  </nav> -->
